import { ResetUserIdleTimeFn } from '../../utils/types.js';
import { EndSessionFn } from '../../utils/auth/types.js';
declare class HttpClientProps {
    #private;
    get resetUserIdleTime(): ResetUserIdleTimeFn;
    set resetUserIdleTime(fn: ResetUserIdleTimeFn);
    get endSession(): EndSessionFn;
    set endSession(fn: EndSessionFn);
}
export declare const httpClientProps: HttpClientProps;
export {};
